import { type BaseStore, type ResultListInfo } from '../../common/interface/store';
interface Data {
    loadingFlags: string[];
    iconAssetsPath: string;
    fieldsToInclude: string[];
    resultList: ResultListInfo | undefined;
}
export type RecsStore = BaseStore<Data> & {
    unsetLoadingFlag(loadingFlag: string): void;
    setLoadingFlag(flag: string): void;
    addFieldsToInclude(fields: string[]): void;
};
export declare function createRecsStore(): RecsStore;
export {};
